<?php
###################################################################
# Administration spécial "on est gentils"                         #
# Variables IN :                                                  #
# $jokers : nb joker gratis                                       #
# $valid: confirmation                                            #
###################################################################
include("generic.inc");
include("bib_admin.php3");

##################################
# Administration script defaults #
##################################

# pas de timeout possible quelle que soit l'action effectuée
set_time_limit($TIME_LIMIT);

# le script continue une fois qu'il est lancé,
# quel que soit l'état de la connection après
ignore_user_abort(true); 

#####################################
# pour afficher les matchs au début #
#####################################
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin="0">
<div align="center" class="trTitle">Don de Jokers pour tout le monde !</div>
<br>
<?php
if (($valider2) && ($jokers > 0)) 
{
 if ($DEBUG)
 {
  echo "tout le monde a +".$jokers."<br>";
  echo("UPDATE Players SET NbJokerDispo=NbJokerDispo + ".$jokers);
 }
 else
	main_db_query("UPDATE Players SET NbJokerDispo=NbJokerDispo + ".$jokers);
  echo "terminé";
}
else if ($jokers)
{
?>
<form>
<table>
	<tr>
		<td>
		Vous allez donner ce montant a tout le monde !	
		</td>
		<td>
			<input type="text" name="jokers" size="5" value="<?php echo $jokers ?>">
		</td>
		<td>
		<?php
				if ($jokers < 0)
				  echo "ERREUR: montant négatif";
		?>
		</td>
	</tr>
</table>
<br>
<input type="hidden" name="DEBUG" value="<?echo $DEBUG?>">
<input type="submit" name="valider2" value="Vraiment valider">
</form>
<?php
}
else
{
?>
<form>
<table>
	<tr>
		<td>
		Combien voulez-vous donner de jokers ?	
		</td>
		<td>
			<input type="text" name="jokers" size="5">
		</td>
	</tr>
</table>
<br>
<input type="checkbox" name="DEBUG" value="1">DEBUG MODE
<br><br>
<input type="submit" name="valider" value="Valider">
</form>
<?php
}
?>
</body>
</html>